
/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

//
//
// Common PA Library -- sin/cos Tables for FFT
//
//
//

#pragma DATA_ALIGN (zcos1_aac , 8);
const float zcos1_aac[] = 
{
(float)  -3.1249997702053680e-002, (float)  -3.1249813866530800e-002,
(float)  -3.1249335895858400e-002, (float)  -3.1248563794535300e-002,
(float)  -3.1247497569828840e-002, (float)  -3.1246137231774700e-002,
(float)  -3.1244482793176920e-002, (float)  -3.1242534269607700e-002,
(float)  -3.1240291679407300e-002, (float)  -3.1237755043683820e-002,
(float)  -3.1234924386313030e-002, (float)  -3.1231799733938180e-002,
(float)  -3.1228381115969670e-002, (float)  -3.1224668564584840e-002,
(float)  -3.1220662114727640e-002, (float)  -3.1216361804108300e-002,
(float)  -3.1211767673202990e-002, (float)  -3.1206879765253400e-002,
(float)  -3.1201698126266400e-002, (float)  -3.1196222805013540e-002,
(float)  -3.1190453853030620e-002, (float)  -3.1184391324617240e-002,
(float)  -3.1178035276836200e-002, (float)  -3.1171385769513060e-002,
(float)  -3.1164442865235500e-002, (float)  -3.1157206629352800e-002,
(float)  -3.1149677129975140e-002, (float)  -3.1141854437973060e-002,
(float)  -3.1133738626976710e-002, (float)  -3.1125329773375180e-002,
(float)  -3.1116627956315820e-002, (float)  -3.1107633257703450e-002,
(float)  -3.1098345762199580e-002, (float)  -3.1088765557221660e-002,
(float)  -3.1078892732942240e-002, (float)  -3.1068727382288090e-002,
(float)  -3.1058269600939360e-002, (float)  -3.1047519487328690e-002,
(float)  -3.1036477142640220e-002, (float)  -3.1025142670808720e-002,
(float)  -3.1013516178518550e-002, (float)  -3.1001597775202680e-002,
(float)  -3.0989387573041660e-002, (float)  -3.0976885686962580e-002,
(float)  -3.0964092234637920e-002, (float)  -3.0951007336484560e-002,
(float)  -3.0937631115662530e-002, (float)  -3.0923963698073910e-002,
(float)  -3.0910005212361640e-002, (float)  -3.0895755789908320e-002,
(float)  -3.0881215564834920e-002, (float)  -3.0866384673999590e-002,
(float)  -3.0851263256996320e-002, (float)  -3.0835851456153640e-002,
(float)  -3.0820149416533300e-002, (float)  -3.0804157285928860e-002,
(float)  -3.0787875214864360e-002, (float)  -3.0771303356592840e-002,
(float)  -3.0754441867094960e-002, (float)  -3.0737290905077460e-002,
(float)  -3.0719850631971740e-002, (float)  -3.0702121211932280e-002,
(float)  -3.0684102811835160e-002, (float)  -3.0665795601276400e-002,
(float)  -3.0647199752570440e-002, (float)  -3.0628315440748500e-002,
(float)  -3.0609142843556900e-002, (float)  -3.0589682141455440e-002,
(float)  -3.0569933517615660e-002, (float)  -3.0549897157919120e-002,
(float)  -3.0529573250955680e-002, (float)  -3.0508961988021680e-002,
(float)  -3.0488063563118180e-002, (float)  -3.0466878172949120e-002,
(float)  -3.0445406016919460e-002, (float)  -3.0423647297133300e-002,
(float)  -3.0401602218392000e-002, (float)  -3.0379270988192260e-002,
(float)  -3.0356653816724090e-002, (float)  -3.0333750916868940e-002,
(float)  -3.0310562504197620e-002, (float)  -3.0287088796968310e-002,
(float)  -3.0263330016124480e-002, (float)  -3.0239286385292810e-002,
(float)  -3.0214958130781120e-002, (float)  -3.0190345481576220e-002,
(float)  -3.0165448669341710e-002, (float)  -3.0140267928415890e-002,
(float)  -3.0114803495809480e-002, (float)  -3.0089055611203400e-002,
(float)  -3.0063024516946580e-002, (float)  -3.0036710458053560e-002,
(float)  -3.0010113682202310e-002, (float)  -2.9983234439731800e-002,
(float)  -2.9956072983639700e-002, (float)  -2.9928629569579960e-002,
(float)  -2.9900904455860480e-002, (float)  -2.9872897903440570e-002,
(float)  -2.9844610175928560e-002, (float)  -2.9816041539579340e-002,
(float)  -2.9787192263291770e-002, (float)  -2.9758062618606240e-002,
(float)  -2.9728652879702050e-002, (float)  -2.9698963323394870e-002,
(float)  -2.9668994229134110e-002, (float)  -2.9638745879000300e-002,
(float)  -2.9608218557702430e-002, (float)  -2.9577412552575270e-002,
(float)  -2.9546328153576680e-002, (float)  -2.9514965653284860e-002,
(float)  -2.9483325346895600e-002, (float)  -2.9451407532219530e-002,
(float)  -2.9419212509679260e-002, (float)  -2.9386740582306610e-002,
(float)  -2.9353992055739730e-002, (float)  -2.9320967238220220e-002,
(float)  -2.9287666440590250e-002, (float)  -2.9254089976289600e-002,
(float)  -2.9220238161352730e-002, (float)  -2.9186111314405840e-002,
(float)  -2.9151709756663780e-002, (float)  -2.9117033811927150e-002,
(float)  -2.9082083806579120e-002, (float)  -2.9046860069582460e-002,
(float)  -2.9011362932476380e-002, (float)  -2.8975592729373500e-002,
(float)  -2.8939549796956540e-002, (float)  -2.8903234474475340e-002,
(float)  -2.8866647103743540e-002, (float)  -2.8829788029135400e-002,
(float)  -2.8792657597582580e-002, (float)  -2.8755256158570820e-002,
(float)  -2.8717584064136740e-002, (float)  -2.8679641668864420e-002,
(float)  -2.8641429329882130e-002, (float)  -2.8602947406858970e-002,
(float)  -2.8564196262001460e-002, (float)  -2.8525176260050110e-002,
(float)  -2.8485887768276060e-002, (float)  -2.8446331156477560e-002,
(float)  -2.8406506796976480e-002, (float)  -2.8366415064614890e-002,
(float)  -2.8326056336751420e-002, (float)  -2.8285430993257800e-002,
(float)  -2.8244539416515240e-002, (float)  -2.8203381991410810e-002,
(float)  -2.8161959105333890e-002, (float)  -2.8120271148172460e-002,
(float)  -2.8078318512309440e-002, (float)  -2.8036101592619020e-002,
(float)  -2.7993620786462920e-002, (float)  -2.7950876493686680e-002,
(float)  -2.7907869116615860e-002, (float)  -2.7864599060052260e-002,
(float)  -2.7821066731270140e-002, (float)  -2.7777272540012360e-002,
(float)  -2.7733216898486520e-002, (float)  -2.7688900221361110e-002,
(float)  -2.7644322925761560e-002, (float)  -2.7599485431266360e-002,
(float)  -2.7554388159903080e-002, (float)  -2.7509031536144400e-002,
(float)  -2.7463415986904160e-002, (float)  -2.7417541941533280e-002,
(float)  -2.7371409831815740e-002, (float)  -2.7325020091964520e-002,
(float)  -2.7278373158617540e-002, (float)  -2.7231469470833460e-002,
(float)  -2.7184309470087700e-002, (float)  -2.7136893600268120e-002,
(float)  -2.7089222307670950e-002, (float)  -2.7041296040996560e-002,
(float)  -2.6993115251345210e-002, (float)  -2.6944680392212850e-002,
(float)  -2.6895991919486820e-002, (float)  -2.6847050291441580e-002,
(float)  -2.6797855968734350e-002, (float)  -2.6748409414400840e-002,
(float)  -2.6698711093850860e-002, (float)  -2.6648761474863920e-002,
(float)  -2.6598561027584860e-002, (float)  -2.6548110224519400e-002,
(float)  -2.6497409540529730e-002, (float)  -2.6446459452829990e-002,
(float)  -2.6395260440981800e-002, (float)  -2.6343812986889780e-002,
(float)  -2.6292117574796940e-002, (float)  -2.6240174691280190e-002,
(float)  -2.6187984825245740e-002, (float)  -2.6135548467924480e-002,
(float)  -2.6082866112867390e-002, (float)  -2.6029938255940840e-002,
(float)  -2.5976765395321980e-002, (float)  -2.5923348031494030e-002,
(float)  -2.5869686667241560e-002, (float)  -2.5815781807645770e-002,
(float)  -2.5761633960079720e-002, (float)  -2.5707243634203600e-002,
(float)  -2.5652611341959830e-002, (float)  -2.5597737597568380e-002,
(float)  -2.5542622917521820e-002, (float)  -2.5487267820580520e-002,
(float)  -2.5431672827767720e-002, (float)  -2.5375838462364680e-002,
(float)  -2.5319765249905700e-002, (float)  -2.5263453718173210e-002,
(float)  -2.5206904397192800e-002, (float)  -2.5150117819228220e-002,
(float)  -2.5093094518776350e-002, (float)  -2.5035835032562230e-002,
(float)  -2.4978339899533940e-002, (float)  -2.4920609660857580e-002,
(float)  -2.4862644859912120e-002, (float)  -2.4804446042284380e-002,
(float)  -2.4746013755763760e-002, (float)  -2.4687348550337220e-002,
(float)  -2.4628450978184000e-002, (float)  -2.4569321593670490e-002,
(float)  -2.4509960953344960e-002, (float)  -2.4450369615932390e-002,
(float)  -2.4390548142329120e-002, (float)  -2.4330497095597660e-002,
(float)  -2.4270217040961320e-002, (float)  -2.4209708545798920e-002,
(float)  -2.4148972179639500e-002, (float)  -2.4088008514156830e-002,
(float)  -2.4026818123164160e-002, (float)  -2.3965401582608770e-002,
(float)  -2.3903759470566520e-002, (float)  -2.3841892367236430e-002,
(float)  -2.3779800854935260e-002, (float)  -2.3717485518091950e-002,
(float)  -2.3654946943242200e-002, (float)  -2.3592185719022900e-002,
(float)  -2.3529202436166560e-002, (float)  -2.3465997687495870e-002,
(float)  -2.3402572067917980e-002, (float)  -2.3338926174418960e-002,
(float)  -2.3275060606058200e-002, (float)  -2.3210975963962780e-002,
(float)  -2.3146672851321740e-002, (float)  -2.3082151873380460e-002,
(float)  -2.3017413637434980e-002, (float)  -2.2952458752826200e-002,
(float)  -2.2887287830934250e-002, (float)  -2.2821901485172670e-002,
(float)  -2.2756300330982640e-002, (float)  -2.2690484985827220e-002,
(float)  -2.2624456069185480e-002, (float)  -2.2558214202546760e-002,
(float)  -2.2491760009404720e-002, (float)  -2.2425094115251530e-002,
(float)  -2.2358217147571990e-002, (float)  -2.2291129735837580e-002,
(float)  -2.2223832511500570e-002, (float)  -2.2156326107988070e-002,
(float)  -2.2088611160696060e-002, (float)  -2.2020688306983400e-002,
(float)  -2.1952558186165880e-002, (float)  -2.1884221439510120e-002,
(float)  -2.1815678710227620e-002, (float)  -2.1746930643468650e-002,
(float)  -2.1677977886316200e-002, (float)  -2.1608821087779870e-002,
(float)  -2.1539460898789800e-002, (float)  -2.1469897972190490e-002,
(float)  -2.1400132962734710e-002, (float)  -2.1330166527077290e-002,
(float)  -2.1259999323768980e-002, (float)  -2.1189632013250210e-002,
(float)  -2.1119065257844910e-002, (float)  -2.1048299721754250e-002,
(float)  -2.0977336071050420e-002, (float)  -2.0906174973670320e-002,
(float)  -2.0834817099409300e-002, (float)  -2.0763263119914850e-002,
(float)  -2.0691513708680270e-002, (float)  -2.0619569541038360e-002,
(float)  -2.0547431294155000e-002, (float)  -2.0475099647022870e-002,
(float)  -2.0402575280454970e-002, (float)  -2.0329858877078250e-002,
(float)  -2.0256951121327200e-002, (float)  -2.0183852699437390e-002,
(float)  -2.0110564299439000e-002, (float)  -2.0037086611150350e-002,
(float)  -1.9963420326171450e-002, (float)  -1.9889566137877410e-002,
(float)  -1.9815524741411990e-002, (float)  -1.9741296833681010e-002,
(float)  -1.9666883113345800e-002, (float)  -1.9592284280816650e-002,
(float)  -1.9517501038246160e-002, (float)  -1.9442534089522720e-002,
(float)  -1.9367384140263770e-002, (float)  -1.9292051897809280e-002,
(float)  -1.9216538071214990e-002, (float)  -1.9140843371245800e-002,
(float)  -1.9064968510369050e-002, (float)  -1.8988914202747840e-002,
(float)  -1.8912681164234260e-002, (float)  -1.8836270112362720e-002,
(float)  -1.8759681766343140e-002, (float)  -1.8682916847054180e-002,
(float)  -1.8605976077036520e-002, (float)  -1.8528860180485980e-002,
(float)  -1.8451569883246750e-002, (float)  -1.8374105912804540e-002,
(float)  -1.8296468998279730e-002, (float)  -1.8218659870420550e-002,
(float)  -1.8140679261596140e-002, (float)  -1.8062527905789680e-002,
(float)  -1.7984206538591510e-002, (float)  -1.7905715897192140e-002,
(float)  -1.7827056720375400e-002, (float)  -1.7748229748511430e-002,
(float)  -1.7669235723549680e-002, (float)  -1.7590075389012020e-002,
(float)  -1.7510749489985650e-002, (float)  -1.7431258773116160e-002,
(float)  -1.7351603986600440e-002, (float)  -1.7271785880179680e-002,
(float)  -1.7191805205132300e-002, (float)  -1.7111662714266870e-002,
(float)  -1.7031359161915040e-002, (float)  -1.6950895303924420e-002,
(float)  -1.6870271897651490e-002, (float)  -1.6789489701954460e-002,
(float)  -1.6708549477186110e-002, (float)  -1.6627451985186670e-002,
(float)  -1.6546197989276630e-002, (float)  -1.6464788254249520e-002,
(float)  -1.6383223546364800e-002, (float)  -1.6301504633340540e-002,
(float)  -1.6219632284346280e-002, (float)  -1.6137607269995750e-002,
(float)  -1.6055430362339620e-002, (float)  -1.5973102334858260e-002,
(float)  -1.5890623962454400e-002, (float)  -1.5807996021445900e-002,
(float)  -1.5725219289558410e-002, (float)  -1.5642294545918050e-002,
(float)  -1.5559222571044090e-002, (float)  -1.5476004146841600e-002,
(float)  -1.5392640056594080e-002, (float)  -1.5309131084956100e-002,
(float)  -1.5225478017945900e-002, (float)  -1.5141681642938000e-002,
(float)  -1.5057742748655820e-002, (float)  -1.4973662125164160e-002,
(float)  -1.4889440563861920e-002, (float)  -1.4805078857474460e-002,
(float)  -1.4720577800046330e-002, (float)  -1.4635938186933640e-002,
(float)  -1.4551160814796680e-002, (float)  -1.4466246481592350e-002,
(float)  -1.4381195986566700e-002, (float)  -1.4296010130247380e-002,
(float)  -1.4210689714436110e-002, (float)  -1.4125235542201140e-002,
(float)  -1.4039648417869680e-002, (float)  -1.3953929147020360e-002,
(float)  -1.3868078536475570e-002, (float)  -1.3782097394293980e-002,
(float)  -1.3695986529762830e-002, (float)  -1.3609746753390380e-002,
(float)  -1.3523378876898240e-002, (float)  -1.3436883713213770e-002,
(float)  -1.3350262076462390e-002, (float)  -1.3263514781959920e-002,
(float)  -1.3176642646204950e-002, (float)  -1.3089646486871100e-002,
(float)  -1.3002527122799360e-002, (float)  -1.2915285373990340e-002,
(float)  -1.2827922061596640e-002, (float)  -1.2740438007915000e-002,
(float)  -1.2652834036378680e-002, (float)  -1.2565110971549600e-002,
(float)  -1.2477269639110660e-002, (float)  -1.2389310865857940e-002,
(float)  -1.2301235479692900e-002, (float)  -1.2213044309614640e-002,
(float)  -1.2124738185712030e-002, (float)  -1.2036317939155940e-002,
(float)  -1.1947784402191390e-002, (float)  -1.1859138408129770e-002,
(float)  -1.1770380791340920e-002, (float)  -1.1681512387245360e-002,
(float)  -1.1592534032306310e-002, (float)  -1.1503446564021970e-002,
(float)  -1.1414250820917510e-002, (float)  -1.1324947642537230e-002,
(float)  -1.1235537869436660e-002, (float)  -1.1146022343174630e-002,
(float)  -1.1056401906305380e-002, (float)  -1.0966677402370570e-002,
(float)  -1.0876849675891430e-002, (float)  -1.0786919572360710e-002,
(float)  -1.0696887938234800e-002, (float)  -1.0606755620925730e-002,
(float)  -1.0516523468793200e-002, (float)  -1.0426192331136590e-002,
(float)  -1.0335763058186960e-002, (float)  -1.0245236501099090e-002,
(float)  -1.0154613511943390e-002, (float)  -1.0063894943697960e-002,
(float)  -9.9730816502404960e-003, (float)  -9.8821744863403280e-003,
(float)  -9.7911743076502840e-003, (float)  -9.7000819706987160e-003, 
(float)  -9.6088983328813800e-003, (float)  -9.5176242524534080e-003, 
(float)  -9.4262605885212140e-003, (float)  -9.3348082010343880e-003,
(float)  -9.2432679507776360e-003, (float)  -9.1516406993626500e-003,
(float)  -9.0599273092200260e-003, (float)  -8.9681286435911120e-003,
(float)  -8.8762455665199170e-003, (float)  -8.7842789428449470e-003,
(float)  -8.6922296381910960e-003, (float)  -8.6000985189614800e-003,
(float)  -8.5078864523292700e-003, (float)  -8.4155943062295700e-003,
(float)  -8.3232229493511930e-003, (float)  -8.2307732511285440e-003,
(float)  -8.1382460817333750e-003, (float)  -8.0456423120666630e-003,
(float)  -7.9529628137503370e-003, (float)  -7.8602084591191490e-003,
(float)  -7.7673801212123940e-003, (float)  -7.6744786737657500e-003,
(float)  -7.5815049912030280e-003, (float)  -7.4884599486279240e-003, 
(float)  -7.3953444218158270e-003, (float)  -7.3021592872055260e-003, 
(float)  -7.2089054218910100e-003, (float)  -7.1155837036131620e-003, 
(float)  -7.0221950107515490e-003, (float)  -6.9287402223161010e-003, 
(float)  -6.8352202179388940e-003, (float)  -6.7416358778658110e-003, 
(float)  -6.6479880829483080e-003, (float)  -6.5542777146351050e-003, 
(float)  -6.4605056549638640e-003, (float)  -6.3666727865529380e-003, 
(float)  -6.2727799925930040e-003, (float)  -6.1788281568388140e-003, 
(float)  -6.0848181636008120e-003, (float)  -5.9907508977368730e-003,
(float)  -5.8966272446439140e-003, (float)  -5.8024480902496190e-003,
(float)  -5.7082143210040420e-003, (float)  -5.6139268238713160e-003,
(float)  -5.5195864863212800e-003, (float)  -5.4251941963211060e-003,
(float)  -5.3307508423269910e-003, (float)  -5.2362573132757370e-003,
(float)  -5.1417144985764410e-003, (float)  -5.0471232881020670e-003,
(float)  -4.9524845721811280e-003, (float)  -4.8577992415892460e-003,
(float)  -4.7630681875408280e-003, (float)  -4.6682923016806190e-003,
(float)  -4.5734724760753570e-003, (float)  -4.4786096032053620e-003,
(float)  -4.3837045759561070e-003, (float)  -4.2887582876098660e-003,
(float)  -4.1937716318372500e-003, (float)  -4.0987455026888560e-003,
(float)  -4.0036807945867860e-003, (float)  -3.9085784023162910e-003,
(float)  -3.8134392210172940e-003, (float)  -3.7182641461760160e-003,
(float)  -3.6230540736164960e-003, (float)  -3.5278098994922020e-003,
(float)  -3.4325325202775840e-003, (float)  -3.3372228327596060e-003,
(float)  -3.2418817340293590e-003, (float)  -3.1465101214735620e-003,
(float)  -3.0511088927661670e-003, (float)  -2.9556789458598580e-003,
(float)  -2.8602211789776560e-003, (float)  -2.7647364906044000e-003,
(float)  -2.6692257794783520e-003, (float)  -2.5736899445827070e-003,
(float)  -2.4781298851371120e-003, (float)  -2.3825465005892540e-003,
(float)  -2.2869406906063400e-003, (float)  -2.1913133550666760e-003,
(float)  -2.0956653940511510e-003, (float)  -1.9999977078348150e-003,
(float)  -1.9043111968783510e-003, (float)  -1.8086067618196570e-003,
(float)  -1.7128853034653100e-003, (float)  -1.6171477227821380e-003,
(float)  -1.5213949208887190e-003, (float)  -1.4256277990468790e-003,
(float)  -1.3298472586532540e-003, (float)  -1.2340542012307540e-003,
(float)  -1.1382495284201320e-003, (float)  -1.0424341419714420e-003,
(float)  -9.4660894373560700e-004, (float)  -8.5077483565587220e-004,
(float)  -7.5493271975937560e-004, (float)  -6.5908349814859940e-004,
(float)  -5.6322807299292810e-004, (float)  -4.6736734652013680e-004,
(float)  -3.7150222100787720e-004, (float)  -2.7563359877523480e-004,
(float)  -1.7976238217417930e-004, (float)  -8.3889473581127600e-005,
};

#pragma DATA_ALIGN (zsin1_aac , 8);
const float zsin1_aac[] = 
{
(float)  -1.1984224611606110e-005,  (float)  -1.0785781000424980e-004,
(float)  -2.0373038019810840e-004,  (float)  -2.9960103280403820e-004,
(float)  -3.9546886545094500e-004,  (float)  -4.9133297579427680e-004,
(float)  -5.8719246152451730e-004,  (float)  -6.8304642037567920e-004,
(float)  -7.7889395013379590e-004,  (float)  -8.7473414864541390e-004,
(float)  -9.7056611382608440e-004,  (float)  -1.0663889436688540e-003,
(float)  -1.1622017362527540e-003,  (float)  -1.2580035897512900e-003,
(float)  -1.3537936024409320e-003,  (float)  -1.4495708727095990e-003,
(float)  -1.5453344990651460e-003,  (float)  -1.6410835801438510e-003,
(float)  -1.7368172147188960e-003,  (float)  -1.8325345017088540e-003,
(float)  -1.9282345401861660e-003,  (float)  -2.0239164293856220e-003,
(float)  -2.1195792687128400e-003,  (float)  -2.2152221577527440e-003,
(float)  -2.3108441962780380e-003,  (float)  -2.4064444842576760e-003,
(float)  -2.5020221218653400e-003,  (float)  -2.5975762094879040e-003,
(float)  -2.6931058477339030e-003,  (float)  -2.7886101374420000e-003,
(float)  -2.8840881796894480e-003,  (float)  -2.9795390758005500e-003,
(float)  -3.0749619273551220e-003,  (float)  -3.1703558361969400e-003,
(float)  -3.2657199044422060e-003,  (float)  -3.3610532344879880e-003,
(float)  -3.4563549290206790e-003,  (float)  -3.5516240910244340e-003,
(float)  -3.6468598237896150e-003,  (float)  -3.7420612309212380e-003,
(float)  -3.8372274163473990e-003,  (float)  -3.9323574843277180e-003,
(float)  -4.0274505394617670e-003,  (float)  -4.1225056866974940e-003,
(float)  -4.2175220313396480e-003,  (float)  -4.3124986790582120e-003,
(float)  -4.4074347358968040e-003,  (float)  -4.5023293082810990e-003,
(float)  -4.5971815030272450e-003,  (float)  -4.6919904273502560e-003,
(float)  -4.7867551888724330e-003,  (float)  -4.8814748956317470e-003,
(float)  -4.9761486560902450e-003,  (float)  -5.0707755791424380e-003,
(float)  -5.1653547741236880e-003,  (float)  -5.2598853508185880e-003,
(float)  -5.3543664194693540e-003,  (float)  -5.4487970907841800e-003,
(float)  -5.5431764759456260e-003,  (float)  -5.6375036866189760e-003,
(float)  -5.7317778349605970e-003,  (float)  -5.8259980336263000e-003,
(float)  -5.9201633957796950e-003,  (float)  -6.0142730351005260e-003,
(float)  -6.1083260657930310e-003,  (float)  -6.2023216025942620e-003,
(float)  -6.2962587607824290e-003,  (float)  -6.3901366561852260e-003,
(float)  -6.4839544051881450e-003,  (float)  -6.5777111247428040e-003,
(float)  -6.6714059323752520e-003,  (float)  -6.7650379461942730e-003,
(float)  -6.8586062848996970e-003,  (float)  -6.9521100677906840e-003,
(float)  -7.0455484147740170e-003,  (float)  -7.1389204463723900e-003,
(float)  -7.2322252837326800e-003,  (float)  -7.3254620486342240e-003,
(float)  -7.4186298634970810e-003,  (float)  -7.5117278513902950e-003,
(float)  -7.6047551360401480e-003,  (float)  -7.6977108418384070e-003,
(float)  -7.7905940938505680e-003,  (float)  -7.8834040178240880e-003,
(float)  -7.9761397401966160e-003,  (float)  -8.0688003881042150e-003,
(float)  -8.1613850893895780e-003,  (float)  -8.2538929726102360e-003,
(float)  -8.3463231670467580e-003,  (float)  -8.4386748027109550e-003,
(float)  -8.5309470103540600e-003,  (float)  -8.6231389214749110e-003,
(float)  -8.7152496683281340e-003,  (float)  -8.8072783839322920e-003,
(float)  -8.8992242020780720e-003,  (float)  -8.9910862573364110e-003,
(float)  -9.0828636850666640e-003,  (float)  -9.1745556214247260e-003,
(float)  -9.2661612033711700e-003,  (float)  -9.3576795686793720e-003,
(float)  -9.4491098559436240e-003,  (float)  -9.5404512045872400e-003,
(float)  -9.6317027548706580e-003,  (float)  -9.7228636478995400e-003,
(float)  -9.8139330256328340e-003,  (float)  -9.9049100308908800e-003,
(float)  -9.9957938073634540e-003,  (float)  -1.0086583499617840e-002,
(float)  -1.0177278253106870e-002,  (float)  -1.0267877214176990e-002,
(float)  -1.0358379530076280e-002,  (float)  -1.0448784348962460e-002,
(float)  -1.0539090819910960e-002,  (float)  -1.0629298092922870e-002,
(float)  -1.0719405318932980e-002,  (float)  -1.0809411649817780e-002,
(float)  -1.0899316238403390e-002,  (float)  -1.0989118238473580e-002,
(float)  -1.1078816804777730e-002,  (float)  -1.1168411093038780e-002,
(float)  -1.1257900259961150e-002,  (float)  -1.1347283463238730e-002,
(float)  -1.1436559861562770e-002,  (float)  -1.1525728614629810e-002,
(float)  -1.1614788883149580e-002,  (float)  -1.1703739828852910e-002,
(float)  -1.1792580614499640e-002,  (float)  -1.1881310403886440e-002,
(float)  -1.1969928361854750e-002,  (float)  -1.2058433654298600e-002,
(float)  -1.2146825448172480e-002,  (float)  -1.2235102911499140e-002,
(float)  -1.2323265213377490e-002,  (float)  -1.2411311523990360e-002,
(float)  -1.2499241014612360e-002,  (float)  -1.2587052857617610e-002,
(float)  -1.2674746226487620e-002,  (float)  -1.2762320295819000e-002,
(float)  -1.2849774241331260e-002,  (float)  -1.2937107239874540e-002,
(float)  -1.3024318469437430e-002,  (float)  -1.3111407109154590e-002,
(float)  -1.3198372339314600e-002,  (float)  -1.3285213341367570e-002,
(float)  -1.3371929297932940e-002,  (float)  -1.3458519392807090e-002,
(float)  -1.3544982810971060e-002,  (float)  -1.3631318738598250e-002,
(float)  -1.3717526363062010e-002,  (float)  -1.3803604872943350e-002,
(float)  -1.3889553458038560e-002,  (float)  -1.3975371309366820e-002,
(float)  -1.4061057619177830e-002,  (float)  -1.4146611580959400e-002,
(float)  -1.4232032389445080e-002,  (float)  -1.4317319240621660e-002,
(float)  -1.4402471331736840e-002,  (float)  -1.4487487861306690e-002,
(float)  -1.4572368029123260e-002,  (float)  -1.4657111036262100e-002,
(float)  -1.4741716085089730e-002,  (float)  -1.4826182379271220e-002,
(float)  -1.4910509123777650e-002,  (float)  -1.4994695524893570e-002,
(float)  -1.5078740790224510e-002,  (float)  -1.5162644128704430e-002,
(float)  -1.5246404750603160e-002,  (float)  -1.5330021867533810e-002,
(float)  -1.5413494692460250e-002,  (float)  -1.5496822439704440e-002,
(float)  -1.5580004324953910e-002,  (float)  -1.5663039565269060e-002,
(float)  -1.5745927379090590e-002,  (float)  -1.5828666986246830e-002,
(float)  -1.5911257607961080e-002,  (float)  -1.5993698466858960e-002,
(float)  -1.6075988786975710e-002,  (float)  -1.6158127793763500e-002,
(float)  -1.6240114714098700e-002,  (float)  -1.6321948776289200e-002,
(float)  -1.6403629210081660e-002,  (float)  -1.6485155246668700e-002,
(float)  -1.6566526118696220e-002,  (float)  -1.6647741060270590e-002,
(float)  -1.6728799306965850e-002,  (float)  -1.6809700095830900e-002,
(float)  -1.6890442665396720e-002,  (float)  -1.6971026255683490e-002,
(float)  -1.7051450108207770e-002,  (float)  -1.7131713465989620e-002,
(float)  -1.7211815573559750e-002,  (float)  -1.7291755676966640e-002,
(float)  -1.7371533023783560e-002,  (float)  -1.7451146863115750e-002,
(float)  -1.7530596445607440e-002,  (float)  -1.7609881023448900e-002,
(float)  -1.7688999850383480e-002,  (float)  -1.7767952181714660e-002,
(float)  -1.7846737274313020e-002,  (float)  -1.7925354386623270e-002,
(float)  -1.8003802778671200e-002,  (float)  -1.8082081712070670e-002,
(float)  -1.8160190450030550e-002,  (float)  -1.8238128257361650e-002,
(float)  -1.8315894400483640e-002,  (float)  -1.8393488147431960e-002,
(float)  -1.8470908767864730e-002,  (float)  -1.8548155533069580e-002,
(float)  -1.8625227715970520e-002,  (float)  -1.8702124591134820e-002,
(float)  -1.8778845434779820e-002,  (float)  -1.8855389524779700e-002,
(float)  -1.8931756140672340e-002,  (float)  -1.9007944563666080e-002,
(float)  -1.9083954076646450e-002,  (float)  -1.9159783964182960e-002,
(float)  -1.9235433512535850e-002,  (float)  -1.9310902009662760e-002,
(float)  -1.9386188745225430e-002,  (float)  -1.9461293010596450e-002,
(float)  -1.9536214098865860e-002,  (float)  -1.9610951304847860e-002,
(float)  -1.9685503925087390e-002,  (float)  -1.9759871257866800e-002,
(float)  -1.9834052603212430e-002,  (float)  -1.9908047262901200e-002,
(float)  -1.9981854540467210e-002,  (float)  -2.0055473741208240e-002,
(float)  -2.0128904172192330e-002,  (float)  -2.0202145142264300e-002,
(float)  -2.0275195962052270e-002,  (float)  -2.0348055943974070e-002,
(float)  -2.0420724402243820e-002,  (float)  -2.0493200652878310e-002,
(float)  -2.0565484013703480e-002,  (float)  -2.0637573804360780e-002,
(float)  -2.0709469346313670e-002,  (float)  -2.0781169962853920e-002,
(float)  -2.0852674979108010e-002,  (float)  -2.0923983722043520e-002,
(float)  -2.0995095520475370e-002,  (float)  -2.1066009705072260e-002,
(float)  -2.1136725608362860e-002,  (float)  -2.1207242564742170e-002,
(float)  -2.1277559910477720e-002,  (float)  -2.1347676983715900e-002,
(float)  -2.1417593124488080e-002,  (float)  -2.1487307674716940e-002,
(float)  -2.1556819978222580e-002,  (float)  -2.1626129380728710e-002,
(float)  -2.1695235229868850e-002,  (float)  -2.1764136875192430e-002,
(float)  -2.1832833668170920e-002,  (float)  -2.1901324962203940e-002,
(float)  -2.1969610112625350e-002,  (float)  -2.2037688476709310e-002,
(float)  -2.2105559413676320e-002,  (float)  -2.2173222284699280e-002,
(float)  -2.2240676452909470e-002,  (float)  -2.2307921283402580e-002,
(float)  -2.2374956143244650e-002,  (float)  -2.2441780401478050e-002,
(float)  -2.2508393429127410e-002,  (float)  -2.2574794599205550e-002,
(float)  -2.2640983286719360e-002,  (float)  -2.2706958868675720e-002,
(float)  -2.2772720724087300e-002,  (float)  -2.2838268233978500e-002,
(float)  -2.2903600781391180e-002,  (float)  -2.2968717751390520e-002,
(float)  -2.3033618531070800e-002,  (float)  -2.3098302509561170e-002,
(float)  -2.3162769078031380e-002,  (float)  -2.3227017629697540e-002,
(float)  -2.3291047559827820e-002,  (float)  -2.3354858265748130e-002,
(float)  -2.3418449146847800e-002,  (float)  -2.3481819604585230e-002,
(float)  -2.3544969042493550e-002,  (float)  -2.3607896866186190e-002,
(float)  -2.3670602483362520e-002,  (float)  -2.3733085303813380e-002,
(float)  -2.3795344739426670e-002,  (float)  -2.3857380204192880e-002,
(float)  -2.3919191114210560e-002,  (float)  -2.3980776887691920e-002,
(float)  -2.4042136944968200e-002,  (float)  -2.4103270708495150e-002,
(float)  -2.4164177602858520e-002,  (float)  -2.4224857054779420e-002,
(float)  -2.4285308493119740e-002,  (float)  -2.4345531348887520e-002,
(float)  -2.4405525055242300e-002,  (float)  -2.4465289047500480e-002,
(float)  -2.4524822763140600e-002,  (float)  -2.4584125641808640e-002,
(float)  -2.4643197125323350e-002,  (float)  -2.4702036657681400e-002,
(float)  -2.4760643685062720e-002,  (float)  -2.4819017655835640e-002,
(float)  -2.4877158020562120e-002,  (float)  -2.4935064232002900e-002,
(float)  -2.4992735745122680e-002,  (float)  -2.5050172017095190e-002,
(float)  -2.5107372507308380e-002,  (float)  -2.5164336677369440e-002,
(float)  -2.5221063991109920e-002,  (float)  -2.5277553914590740e-002,
(float)  -2.5333805916107210e-002,  (float)  -2.5389819466194080e-002,
(float)  -2.5445594037630480e-002,  (float)  -2.5501129105444900e-002,
(float)  -2.5556424146920140e-002,  (float)  -2.5611478641598200e-002,
(float)  -2.5666292071285210e-002,  (float)  -2.5720863920056300e-002,
(float)  -2.5775193674260450e-002,  (float)  -2.5829280822525310e-002,
(float)  -2.5883124855762050e-002,  (float)  -2.5936725267170120e-002,
(float)  -2.5990081552242040e-002,  (float)  -2.6043193208768120e-002,
(float)  -2.6096059736841230e-002,  (float)  -2.6148680638861480e-002,
(float)  -2.6201055419540880e-002,  (float)  -2.6253183585908080e-002,
(float)  -2.6305064647312890e-002,  (float)  -2.6356698115431020e-002,
(float)  -2.6408083504268610e-002,  (float)  -2.6459220330166800e-002,
(float)  -2.6510108111806300e-002,  (float)  -2.6560746370211940e-002,
(float)  -2.6611134628757150e-002,  (float)  -2.6661272413168450e-002,
(float)  -2.6711159251529910e-002,  (float)  -2.6760794674287620e-002,
(float)  -2.6810178214254060e-002,  (float)  -2.6859309406612550e-002,
(float)  -2.6908187788921610e-002,  (float)  -2.6956812901119280e-002,
(float)  -2.7005184285527480e-002,  (float)  -2.7053301486856320e-002,
(float)  -2.7101164052208380e-002,  (float)  -2.7148771531082980e-002,
(float)  -2.7196123475380370e-002,  (float)  -2.7243219439406030e-002,
(float)  -2.7290058979874820e-002,  (float)  -2.7336641655915130e-002,
(float)  -2.7382967029073080e-002,  (float)  -2.7429034663316610e-002,
(float)  -2.7474844125039600e-002,  (float)  -2.7520394983065970e-002,
(float)  -2.7565686808653680e-002,  (float)  -2.7610719175498810e-002,
(float)  -2.7655491659739580e-002,  (float)  -2.7700003839960330e-002,
(float)  -2.7744255297195460e-002,  (float)  -2.7788245614933380e-002,
(float)  -2.7831974379120500e-002,  (float)  -2.7875441178165010e-002,
(float)  -2.7918645602940860e-002,  (float)  -2.7961587246791550e-002,
(float)  -2.8004265705533960e-002,  (float)  -2.8046680577462200e-002,
(float)  -2.8088831463351320e-002,  (float)  -2.8130717966461140e-002,
(float)  -2.8172339692539960e-002,  (float)  -2.8213696249828220e-002,
(float)  -2.8254787249062240e-002,  (float)  -2.8295612303477920e-002,
(float)  -2.8336171028814260e-002,  (float)  -2.8376463043317140e-002,
(float)  -2.8416487967742720e-002,  (float)  -2.8456245425361220e-002,
(float)  -2.8495735041960260e-002,  (float)  -2.8534956445848560e-002,
(float)  -2.8573909267859320e-002,  (float)  -2.8612593141353760e-002,
(float)  -2.8651007702224500e-002,  (float)  -2.8689152588899080e-002,
(float)  -2.8727027442343290e-002,  (float)  -2.8764631906064600e-002,
(float)  -2.8801965626115460e-002,  (float)  -2.8839028251096690e-002,
(float)  -2.8875819432160740e-002,  (float)  -2.8912338823015020e-002,
(float)  -2.8948586079925090e-002,  (float)  -2.8984560861717980e-002,
(float)  -2.9020262829785330e-002,  (float)  -2.9055691648086630e-002,
(float)  -2.9090846983152340e-002,  (float)  -2.9125728504087080e-002,
(float)  -2.9160335882572660e-002,  (float)  -2.9194668792871280e-002,
(float)  -2.9228726911828480e-002,  (float)  -2.9262509918876320e-002,
(float)  -2.9296017496036220e-002,  (float)  -2.9329249327922140e-002,
(float)  -2.9362205101743410e-002,  (float)  -2.9394884507307740e-002,
(float)  -2.9427287237024100e-002,  (float)  -2.9459412985905680e-002,
(float)  -2.9491261451572700e-002,  (float)  -2.9522832334255240e-002,
(float)  -2.9554125336796160e-002,  (float)  -2.9585140164653780e-002,
(float)  -2.9615876525904760e-002,  (float)  -2.9646334131246720e-002,
(float)  -2.9676512694001110e-002,  (float)  -2.9706411930115790e-002,
(float)  -2.9736031558167770e-002,  (float)  -2.9765371299365820e-002,
(float)  -2.9794430877553140e-002,  (float)  -2.9823210019209890e-002,
(float)  -2.9851708453455840e-002,  (float)  -2.9879925912052880e-002,
(float)  -2.9907862129407530e-002,  (float)  -2.9935516842573480e-002,
(float)  -2.9962889791254040e-002,  (float)  -2.9989980717804580e-002,
(float)  -3.0016789367235000e-002,  (float)  -3.0043315487212070e-002,
(float)  -3.0069558828061840e-002,  (float)  -3.0095519142772010e-002,
(float)  -3.0121196186994200e-002,  (float)  -3.0146589719046280e-002,
(float)  -3.0171699499914670e-002,  (float)  -3.0196525293256550e-002,
(float)  -3.0221066865402100e-002,  (float)  -3.0245323985356680e-002,
(float)  -3.0269296424803050e-002,  (float)  -3.0292983958103480e-002,
(float)  -3.0316386362301880e-002,  (float)  -3.0339503417125920e-002,
(float)  -3.0362334904989070e-002,  (float)  -3.0384880610992660e-002,
(float)  -3.0407140322927940e-002,  (float)  -3.0429113831278010e-002,
(float)  -3.0450800929219840e-002,  (float)  -3.0472201412626220e-002,
(float)  -3.0493315080067620e-002,  (float)  -3.0514141732814190e-002,
(float)  -3.0534681174837520e-002,  (float)  -3.0554933212812580e-002,
(float)  -3.0574897656119470e-002,  (float)  -3.0594574316845240e-002,
(float)  -3.0613963009785660e-002,  (float)  -3.0633063552446980e-002,
(float)  -3.0651875765047620e-002,  (float)  -3.0670399470519860e-002,
(float)  -3.0688634494511530e-002,  (float)  -3.0706580665387650e-002,
(float)  -3.0724237814232020e-002,  (float)  -3.0741605774848820e-002,
(float)  -3.0758684383764200e-002,  (float)  -3.0775473480227780e-002,
(float)  -3.0791972906214210e-002,  (float)  -3.0808182506424600e-002,
(float)  -3.0824102128288000e-002,  (float)  -3.0839731621962890e-002,
(float)  -3.0855070840338510e-002,  (float)  -3.0870119639036300e-002,
(float)  -3.0884877876411240e-002,  (float)  -3.0899345413553180e-002,
(float)  -3.0913522114288120e-002,  (float)  -3.0927407845179600e-002,
(float)  -3.0941002475529800e-002,  (float)  -3.0954305877380900e-002,
(float)  -3.0967317925516200e-002,  (float)  -3.0980038497461360e-002,
(float)  -3.0992467473485500e-002,  (float)  -3.1004604736602380e-002,
(float)  -3.1016450172571440e-002,  (float)  -3.1028003669898940e-002,
(float)  -3.1039265119838950e-002,  (float)  -3.1050234416394420e-002,
(float)  -3.1060911456318160e-002,  (float)  -3.1071296139113800e-002,
(float)  -3.1081388367036740e-002,  (float)  -3.1091188045095100e-002,
(float)  -3.1100695081050570e-002,  (float)  -3.1109909385419320e-002,
(float)  -3.1118830871472780e-002,  (float)  -3.1127459455238560e-002,
(float)  -3.1135795055501120e-002,  (float)  -3.1143837593802630e-002,
(float)  -3.1151586994443640e-002,  (float)  -3.1159043184483860e-002,
(float)  -3.1166206093742770e-002,  (float)  -3.1173075654800350e-002,
(float)  -3.1179651802997680e-002,  (float)  -3.1185934476437540e-002,
(float)  -3.1191923615985020e-002,  (float)  -3.1197619165268050e-002,
(float)  -3.1203021070677960e-002,  (float)  -3.1208129281369960e-002,
(float)  -3.1212943749263600e-002,  (float)  -3.1217464429043320e-002,
(float)  -3.1221691278158720e-002,  (float)  -3.1225624256825110e-002,
(float)  -3.1229263328023790e-002,  (float)  -3.1232608457502430e-002,
(float)  -3.1235659613775400e-002,  (float)  -3.1238416768124060e-002,
(float)  -3.1240879894597030e-002,  (float)  -3.1243048970010400e-002,
(float)  -3.1244923973948040e-002,  (float)  -3.1246504888761660e-002,
(float)  -3.1247791699571120e-002,  (float)  -3.1248784394264460e-002,
(float)  -3.1249482963498060e-002,  (float)  -3.1249887400696700e-002,
};                                  


